package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.RechargeDemotioneingRun;
import com.ssm.manage.entity.Salesman;
import com.ssm.manage.query.RechargeDemotioneingRunRequest;
import com.ssm.manage.query.SalesmanRequest;
import com.ssm.manage.query.StaffRequest;
import com.ssm.manage.response.Executives;
import com.ssm.manage.response.StaffResponse;

import java.util.List;

public interface SsmSalesmanService  extends BaseService<Salesman> {
    PageInfo<SalesmanRequest> selectPage(SalesmanRequest salesmanRequest);
    List<Executives> selectList(SalesmanRequest salesman);
    List<Executives> selectLists(SalesmanRequest salesman);
    List<Executives> selectListswhole(SalesmanRequest salesman);
    List<Salesman> selectList(Salesman salesman);
    List<Salesman> selectList(List<Long> courseIds);

    //批量插入
    public int addBatch(List<Salesman> salesmans);

    List<Executives> selectListNew(SalesmanRequest salesman);

    void updateByDocNum(String initNum);
}
